Subject: Re: bug#63469: 29.0.90; project.el doesn't add menu-bar entries

From: Juri Linkov <[email-masked]>
Date: Fri, 19 May 2023 20:46:55 +0300

>> +(define-minor-mode project-mode
>> +  "Toggle display of project menu in the project-aware buffers."
>> +  :lighter " Pro"
>> +  :keymap (define-keymap "<menu-bar>" project-mode-menu))
>
> If this mode is only for showing the menu, then at least the mode's
> name should reflect that.

It can be used for anything.  For example, to display the project name
on the mode-line.  (Then better to cache the project name in a new
buffer-local variable.)